#!/usr/bin/env python
# -*- coding: utf-8 -*-


#-----------------------------------------------------------------#
# Writing soil type "SILTY CLAY LOAM" (category 8) on every point #
#-----------------------------------------------------------------#

import string

# Opening raw file
raw_file=open('1s_aster_12240x10800/landuse/lus_aster_1350.txt', 'r')

# Creating a raw list
raw_list=raw_file.readlines()

# Closing the raw file
raw_file.close()

# Number of lines
N=len(raw_list)

new_list=['']*N

for i in range(N):
    new_list[i]=raw_list[i].split()

# Writing new file
new_file=open('1s_aster_12240x10800/soiltype/soiltype_1s_12240x10800.data', 'w')

for i in range(N):
    if i<=5: # Header
        aux=new_list[i]
        n=len(aux)
        for j in range(n):
            new_file.write(aux[j]+str(' '))
            new_file.write(str('\n'))
    else: # Grid values
        aux=new_list[i]	
        n=len(aux)
        for j in range(n):
            new_file.write('8'+str(' ')) # New category value
            new_file.write(str('\n'))

new_file.close()
